Subject: Re: [PATCH] tun: teach the tun/tap driver to support netpoll

From: Rik van Riel <[email-masked]>
Date: Wed, 15 Jun 2011 13:50:38 -0400

On 06/15/2011 11:25 AM, Neil Horman wrote:
> Commit 8d8fc29d02a33e4bd5f4fa47823c1fd386346093 changed the behavior of slave
> devices in regards to netpoll.  Specifically it created a mutually exclusive
> relationship between being a slave and a netpoll-capable device.  This creates
> problems for KVM because guests relied on needing netconsole active on a slave
> device to a bridge.  Ideally libvirtd could just attach netconsole to the bridge
> device instead, but thats currently infeasible, because while the bridge device
> supports netpoll, it requires that all slave interface also support it, but the
> tun/tap driver currently does not.  The most direct solution is to teach tun/tap
> to support netpoll, which is implemented by the patch below.
>
> I've not tested this yet, but its pretty straightforward.

I have tested it.  I can run netconsole and my KVM guests
simultaneously again.

Thank you, Neil!

Now all I have to do is log whatever other bugs are haunting
3.0-rc and causing my system to hang :)

> Signed-off-by: Neil Horman<[email-masked]>
> Reported-by: Rik van Riel<[email-masked]>
> CC: Rik van Riel<[email-masked]>
> CC: Maxim Krasnyansky<[email-masked]>
> CC: Cong Wang<[email-masked]>
> CC: "David S. Miller"<[email-masked]>

Reviewed-by: Rik van Riel <[email-masked]>
Tested-by: Rik van Riel <[email-masked]>

-- 
All rights reversed